Bug 798363 - [RFE] add in UI of "create password policy" measurement unit examples
Summary: [RFE] add in UI of "create password policy" measurement unit examples
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: ipa
Version: 6.3
Hardware: Unspecified
OS: Unspecified
low
unspecified
Target Milestone: rc
: ---
Assignee: Rob Crittenden
QA Contact: Namita Soman
URL:
Whiteboard:
: 817408 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-02-28 18:09 UTC by Rob Crittenden
Modified: 2013-02-21 09:10 UTC (History)
4 users (show)

Fixed In Version: ipa-3.0.0-1.el6
Doc Type: Enhancement
Doc Text:
Feature: Enhance Web UI and CLI "Create Password Policy" entry labels and specify measurement units (e.g. "seconds") for all configured policy fields. Reason: Missing measurement units in Identity Management Web UI or CLI "Create Password Policy" may confuse Administrators. Result (if any):
Clone Of:
Environment:
Last Closed: 2013-02-21 09:10:06 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2013:0528 normal SHIPPED_LIVE Low: ipa security, bug fix and enhancement update 2013-02-21 08:22:21 UTC

Description Rob Crittenden 2012-02-28 18:09:09 UTC
This bug is created as a clone of upstream ticket:
https://fedorahosted.org/freeipa/ticket/2437

In the "create password policy" web interface I have to insert a lot of field each one having a different semantic for the value.

For example:
- Lockout duration --> seconds
- History size --> number of password
etc... 

It would be useful to have a brief explanation on the value requested in the form, next to the form itself.

Comment 1 Martin Kosek 2012-04-30 08:53:28 UTC
*** Bug 817408 has been marked as a duplicate of this bug. ***

Comment 2 RHEL Product and Program Management 2012-07-10 05:52:27 UTC
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.

Comment 3 RHEL Product and Program Management 2012-07-10 23:26:46 UTC
This request was erroneously removed from consideration in Red Hat Enterprise Linux 6.4, which is currently under development.  This request will be evaluated for inclusion in Red Hat Enterprise Linux 6.4.

Comment 4 Martin Kosek 2012-09-18 07:42:01 UTC
Fixed upstream:

master: 848bd0e9e738a4590049a223868dcfe6749a9154

Password policy detail page in the UI now contains measurement units.

Comment 7 Xiyang Dong 2013-01-18 15:36:18 UTC
verified in ipa-server-3.0.0-22.el6.x86_64

https://wiki.idm.lab.bos.redhat.com/qa/archive/ipa/webui/automation/firefox/test-output-ipa-server-3.0.0-QA/0114_64bit/full%20suite/IPAPasswordPolicyTestSuite/index.html

testMeasurementUnitAdded_Bug798363
Bug798363 -Measurement Unit For History size,Failure reset interval,Failure reset interval Added
Parameters: bug798363
Hide output Show all outputs
Starting Test: testMeasurementUnitAdded_Bug798363([bug798363])

Starting Test: testMeasurementUnitAdded_Bug798363([bug798363])

Starting Test: testMeasurementUnitAdded_Bug798363([bug798363])

Starting Test: testMeasurementUnitAdded_Bug798363([bug798363])

Starting Test: testMeasurementUnitAdded_Bug798363([bug798363])

Starting Test: testMeasurementUnitAdded_Bug798363([bug798363])

Starting Test: testMeasurementUnitAdded_Bug798363([bug798363])

Starting Test: testMeasurementUnitAdded_Bug798363([bug798363])

Starting Test: testMeasurementUnitAdded_Bug798363([bug798363])

Starting Test: testMeasurementUnitAdded_Bug798363([bug798363])

Starting Test: testMeasurementUnitAdded_Bug798363([bug798363])

Starting Test: testMeasurementUnitAdded_Bug798363([bug798363])

Starting Test: testMeasurementUnitAdded_Bug798363([bug798363])

Asserted: policy [bug798363] does not exist before add

Asserted: new policy [bug798363] has been added

Asserted: measurement unit for History size added as expected

Asserted: measurement unit for Failure reset added as expected

Asserted: measurement unit for Lockout duration added as expected

Asserted: policy [bug798363] does not exist after test

delete user group [bug798363]

Test Passed: testMeasurementUnitAdded_Bug798363([bug798363])

Test Passed: testMeasurementUnitAdded_Bug798363([bug798363])

Test Passed: testMeasurementUnitAdded_Bug798363([bug798363])

Test Passed: testMeasurementUnitAdded_Bug798363([bug798363])

Test Passed: testMeasurementUnitAdded_Bug798363([bug798363])

Test Passed: testMeasurementUnitAdded_Bug798363([bug798363])

Test Passed: testMeasurementUnitAdded_Bug798363([bug798363])

Test Passed: testMeasurementUnitAdded_Bug798363([bug798363])

Test Passed: testMeasurementUnitAdded_Bug798363([bug798363])

Test Passed: testMeasurementUnitAdded_Bug798363([bug798363])

Test Passed: testMeasurementUnitAdded_Bug798363([bug798363])

Test Passed: testMeasurementUnitAdded_Bug798363([bug798363])

Test Passed: testMeasurementUnitAdded_Bug798363([bug798363])

Comment 9 errata-xmlrpc 2013-02-21 09:10:06 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-0528.html


Note You need to log in before you can comment on or make changes to this bug.